Summary: Program for efficient remote updates of files.
Name: rsync
Version: 2.2.1
Release: 1
Group: Applications/Networking
Source:	ftp://samba.anu.edu.au/pub/rsync/rsync-%{version}.tar.gz
BuildRoot: /var/tmp/rsync-root
Copyright: GPL

%description
rsync is a faster flexible replacement for rcp allowing rapid and
network efficient synchronization of files or directories on different
machines by transferring just the differences between those
directories in a compressed form.  It doesn't need either machine to
have a copy of what is on the other.

A technical report describing the rsync algorithm is included in this
package.

%prep
%setup -q

%build
./configure --prefix=/usr
make CCOPTFLAGS="$RPM_OPT_FLAGS"
strip rsync

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

make bindir=$RPM_BUILD_ROOT/usr/bin \
	mandir=$RPM_BUILD_ROOT/usr/man install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/rsync
/usr/man/man1/rsync.1
/usr/man/man5/rsyncd.conf.5
%doc tech_report.tex
%doc README
%doc COPYING

%changelog
* Thu Jan 10 1999 Lyle Scheer <lyle@cobaltnet.com>
- updated to 2.2.1

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.1.1

* Mon Aug 17 1998 Erik Troan <ewt@redhat.com>
- updated to 2.1.0

* Thu Aug 06 1998 Erik Troan <ewt@redhat.com>
- buildrooted and attr-rophied
- removed tech-report.ps; the .tex should be good enough

* Mon Aug 25 1997 John A. Martin <jam@jamux.com>
- Built 1.6.3-2 after finding no rsync-1.6.3-1.src.rpm although there
  was an ftp://ftp.redhat.com/pub/contrib/alpha/rsync-1.6.3-1.alpha.rpm
  showing no packager nor signature but giving 
  "Source RPM: rsync-1.6.3-1.src.rpm".
- Changes from 1.6.2-1 packaging: added '$RPM_OPT_FLAGS' to make, strip
  to '%build', removed '%prefix'.

* Thu Apr 10 1997 Michael De La Rue <miked@ed.ac.uk>
- rsync-1.6.2-1 packaged.  (This entry by jam to credit Michael for the
  previous package(s).)
